<?php

// use Illuminate\Database\Seeder;

class UserTableSeeder extends Seeder
{
	/**
	 * Run the database seeds.
	 *
	 * @return void
	 */
	public function run()
	{
		$faker = Faker\Factory::create();

		User::create(array(
			'name'				=> 'Ognjen Kuljic',
			'email'				=> 'ognjen.kuljic@homepage.rs',
			'password'			=> Hash::make('secret'),
			'admin'				=> 2,
			'remember_token'	=> str_random(10),
		));

		for ($i = 0; $i < 10; $i++)
		{
			$user = User::create(array(
				'name'				=> $faker->name,
				'email'				=> $faker->email,
				'password'			=> str_random(10),
				'admin'				=> 0,
				'remember_token'	=> str_random(10),
			));
		}
		// factory('App\User', 50)->create();
	}
}
